Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615891 - SELinux: avtab: invalid type or class
SELinux: avtab: invalid type or class
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks: 615950
  Show dependency treegraph
 
Reported: 2010-07-19 04:36 EDT by Marian Csontos
Modified: 2010-09-30 10:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 615950 (view as bug list)
Environment:
Last Closed: 2010-09-30 10:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2010-07-19 04:36:27 EDT
Description of problem:
System does not boot. I see a segmentation fault in /sbin/start_udev.

Version-Release number of selected component (if applicable):
RHEL6.0-20100615.0

How reproducible:
?

Steps to Reproduce:
?

Actual results:
Starting udev: /sbin/start_udev: line 250:   449 Segmentation fault      LANG=C awk "\$2 == \"${udev_root%/}\" && ( \$3 == \"devtmpfs\" || \$3 == \"tmpfs\" ) { exit 1 }" /proc/mounts
G[  OK  ]

Expected results:


Additional info:
Comment 5 Harald Hoyer 2010-07-19 04:49:17 EDT
Can you manually run:

# LANG=C awk "\$2 == \"/dev\" && ( \$3 == \"devtmpfs\" || \$3 == \"tmpfs\" ) {
exit 1 }" /proc/mounts
# echo $?
Comment 6 RHEL Product and Program Management 2010-07-19 04:57:55 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 7 Harald Hoyer 2010-07-19 05:00:33 EDT
dracut: SELinux: Could not load policy file /etc/selinux/targeted/policy/policy.24: Invalid argument
dracut: /sbin/load_policy: Can't load policy and enforcing mode requested: Invalid argument
Comment 8 Harald Hoyer 2010-07-19 07:10:06 EDT
# rpm -qf  /etc/selinux/targeted/policy/policy.24 
selinux-policy-targeted-3.7.19-24.el6.noarch

# rpm -qf /sbin/load_policy 
policycoreutils-2.0.82-28.el6.x86_64
Comment 9 Harald Hoyer 2010-07-19 07:28:40 EDT
type=1404 audit(1279524496.272:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
SELinux: avtab: invalid type or class
Comment 10 Harald Hoyer 2010-07-19 07:56:02 EDT
Machine sometimes boots with "selinux=0", but something is really hosed on this system:
lvm[829]: segfault at 74bb207a ip 0000000000480000 sp 00007fff6d572c48 error 6 in lvm[400000+ad000]
Comment 11 Harald Hoyer 2010-07-19 07:56:39 EDT
assigning to selinux because of comment #9
Comment 12 Harald Hoyer 2010-07-19 07:58:18 EDT
Either this machine is b0rken in some way or the selinux bug might make sense.
Comment 13 Harald Hoyer 2010-07-19 08:11:38 EDT
(In reply to comment #10)
> Machine sometimes boots with "selinux=0", but something is really hosed on this
> system:
> lvm[829]: segfault at 74bb207a ip 0000000000480000 sp 00007fff6d572c48 error 6
> in lvm[400000+ad000]    

statfs("/selinux", {f_type="EXT2_SUPER_MAGIC", f_bsize=4096, f_blocks=12627119, f_bfree=12010933, f_bavail=11369500, f_files=3211264, f_ffree=3104766, f_fsid={146384955, 779218140}, f_namelen=255, f_frsize=4096}) = 0
brk(0)                                  = 0x1b22000
brk(0x1b43000)                          = 0x1b43000
open("/proc/filesystems", O_RDONLY)     = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fab1c7ce000
read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 1024) = 291
read(3, "", 1024)                       = 0
close(3)                                = 0
munmap(0x7fab1c7ce000, 4096)            = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Comment 14 Harald Hoyer 2010-07-19 08:14:21 EDT
with "selinux=0" the awk segfault does not happen anymore.
Comment 15 Harald Hoyer 2010-07-19 08:20:54 EDT
(In reply to comment #14)
> with "selinux=0" the awk segfault does not happen anymore.    

ok, I lied.

awk[432]: segfault at ffffffffffffffb2 ip 0000000000443e38 sp 00007fff9fa18ff8 error 6 in gawk[400000+57000]
awk[450]: segfault at ffffffffffffffb2 ip 0000000000443e38 sp 00007fffe0f75a88 error 6 in gawk[400000+57000]
awk[452]: segfault at ffffffffffffffb2 ip 0000000000443e38 sp 00007fffeadddb48 error 6 in gawk[400000+57000]

lvm[843]: segfault at 74bb207a ip 0000000000480000 sp 00007fff77ad6ce8 error 6 in lvm[400000+ad000]

...

awk backtrace:
(gdb) bt
#0  0x0000000000443e38 in __libc_csu_init ()
#1  0x00007ffff75f5bf0 in __libc_start_main () from /lib64/libc.so.6
#2  0x0000000000406469 in _start ()
Comment 16 Harald Hoyer 2010-07-19 08:21:27 EDT
# rpm -q kernel glibc
kernel-2.6.32-33.el6.x86_64
glibc-2.12-1.2.el6.x86_64
Comment 17 Harald Hoyer 2010-07-19 08:30:51 EDT
# rpm -Vf /bin/awk 
..5......    /bin/gawk
# rpm -Vf /sbin/lvm
..5......    /sbin/lvm

Seems like something went wrong on installation!
Comment 18 Daniel Walsh 2010-07-19 09:05:45 EDT
I would recommand a reinstall.  This is not an SELinux bug.
Comment 19 Chris Lumens 2010-08-04 13:54:29 EDT
I see nothing here indicating this is an anaconda bug, though.  If you are at all able to reproduce this, please attach all the usual logs from /tmp at the end of installation to this bug report.
Comment 20 Alexander Todorov 2010-08-11 07:48:54 EDT
(In reply to comment #0)
> Description of problem:
> System does not boot. I see a segmentation fault in /sbin/start_udev.

> 
> Steps to Reproduce:
> ?
> 

Marian,
cann you post your steps to reproduce?

Note You need to log in before you can comment on or make changes to this bug.